> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/release-notes/look-ahead-planned-updates-on-prisma-cloud/look-ahead-secure-the-infrastructure.md).

# Look Ahead Updates to Secure the Infrastructure

Learn more about planned Prisma Cloud updates.

Read this section to learn about what is planned in the 26.12.1 CSPM Platform, Agentless Container Host, Agentless Host Security, CIEM, Data Security, and CDEM releases.

The Look Ahead announcements are for an upcoming release and is not a cumulative list of all announcements.

The details and functionalities listed below are a preview and the actual release date is subject to change.

There are currently no API ingestions or Policy Updates planned for the 26.12.1 release.

See also:

* [Change in Behavior](#change-in-behavior)
* [Policy Updates](#policy-updates)
* [Policy Deletions](#policy-deletions)
* [Deprecation Notices](#deprecation-notices)

### Change in Behavior

#### TLS 1.2 Support

Starting with the Prisma Cloud 26.12.1 release, weak CBC (Cipher Block Chaining) ciphers will no longer be supported as part of TLS 1.2 level encryption. CBC ciphers are considered weak and vulnerable to attacks.\
\
**Impact**: TLS 1.3 is fully supported and customers are urged to use TLS 1.3 supported software to connect to Prisma Cloud.

### Policy Updates

<table data-header-hidden><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><strong>Policy Updates</strong></td><td><strong>Description</strong></td></tr><tr><td><strong>Policy Updates—RQL</strong></td><td></td></tr><tr><td><strong>AWS RDS DB cluster encryption is disabled</strong></td><td><p><strong>Changes–</strong> The policy RQL is updated to ignore newly created AWS RDS DB clusters that use an Aurora engine. Aurora encrypts data by default, so the previous logic reported false positives.</p><p><strong>Current RQL–</strong></p><pre><code>config from cloud.resource where cloud.type = 'aws' AND api.name = 'aws-rds-db-cluster' AND json.rule = 'storageEncrypted is false'
</code></pre><p><strong>Updated RQL–</strong></p><pre><code>config from cloud.resource where cloud.type = 'aws' and api.name = 'aws-rds-db-cluster' AND json.rule = ((engine starts with aurora AND (storageEncryptionType equal ignore case none OR storageEncryptionType does not exist)) OR (engine does not start with aurora AND storageEncrypted is false))
</code></pre><p><strong>Policy Type–</strong> Config</p><p><strong>Policy Severity–</strong> Medium</p><p><strong>Impact–</strong> Low. Open alerts for AWS RDS DB clusters that use an Aurora engine will be resolved.</p></td></tr><tr><td><strong>AWS RDS instance is not encrypted</strong></td><td><p><strong>Changes–</strong> The policy RQL is updated to ignore newly created AWS RDS instances that use an Aurora engine. Aurora encrypts data by default, so the previous logic reported false positives.</p><p><strong>Current RQL–</strong></p><pre><code>config from cloud.resource where cloud.type = 'aws' AND api.name='aws-rds-describe-db-instances' AND json.rule= 'engine is not member of ("sqlserver-ex") and dbinstanceStatus equals available and dbiResourceId does not equal null' as X; config from cloud.resource where api.name = 'aws-kms-get-key-rotation-status' as Y; filter '$.X.storageEncrypted does not exist or $.X.storageEncrypted is false or ($.X.storageEncrypted is true and $.X.kmsKeyId exists and $.Y.keyMetadata.keyState equals Disabled and $.X.kmsKeyId equals $.Y.keyMetadata.arn)'; show X;
</code></pre><p><strong>Updated RQL–</strong></p><pre><code>config from cloud.resource where cloud.type = 'aws' and api.name = 'aws-rds-describe-db-instances' AND json.rule = engine is not member of ("sqlserver-ex") and dbinstanceStatus equals "available" and dbiResourceId does not equal "null" as X; config from cloud.resource where api.name = 'aws-kms-get-key-rotation-status' as Y; filter '(($.X.engine starts with "aurora" and ($.X.storageEncryptionType equal ignore case "none" or $.X.storageEncryptionType does not exist)) or ($.X.engine does not start with "aurora" and ($.X.storageEncrypted does not exist or $.X.storageEncrypted is false)) or ($.X.storageEncrypted is true and $.X.kmsKeyId exists and $.Y.keyMetadata.keyState equals "Disabled" and $.X.kmsKeyId equals $.Y.keyMetadata.arn))'; show X;
</code></pre><p><strong>Policy Type–</strong> Config</p><p><strong>Policy Severity–</strong> Medium</p><p><strong>Impact–</strong> Low. Open alerts for AWS RDS instances that use an Aurora engine will be resolved.</p></td></tr></tbody></table>

### Policy Deletions

| **Policy Deletion**                                     | **Description**                                                                                                                                                                                                                                                                                                                                                               |
| ------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Alibaba Cloud ECS instance is not using VPC network** | <p><strong>Changes–</strong> This policy will be removed from Prisma Cloud because Alibaba Cloud has deprecated the Classic Network in all regions and for all accounts.</p><p><strong>Policy Type–</strong> Config</p><p><strong>Policy Severity–</strong> Informational</p><p><strong>Impact–</strong> Low. Open alerts for this policy will be resolved automatically.</p> |

### Deprecation Notices

| **Deprecated Endpoints**                                                                        | **Deprecated** | **Sunset** | **Replacement Endpoints**                                                                                                                                                                                                          |
| ----------------------------------------------------------------------------------------------- | -------------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Deprecation of alerts/job endpoint**                                                          | 26.10.1        | -          | To improve reliability, system stability, and performance, all alert extraction workflows are transitioning to the **v2/alert** API.                                                                                               |
| <mark style="background-color:orange;">**Deprecation of End Timestamp in Config Search**</mark> | -              | -          | The end timestamp in the date selector for Config Search will soon be deprecated after which it will be ignored for all existing RQLs. You will only need to choose a start timestamp without having to specify the end timestamp. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.prismacloud.io/release-notes/look-ahead-planned-updates-on-prisma-cloud/look-ahead-secure-the-infrastructure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
